> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# Get brokerage instruments

GET https://api.snaptrade.com/brokerages/{slug}/instruments

Returns a list of all brokerage instruments available for a given brokerage. Not all brokerages support this. The ones that don't will return an empty list.

Reference: https://docs.snaptrade.com/reference/Reference%20Data/ReferenceData_listAllBrokerageInstruments

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.referenceData.listAllBrokerageInstruments(
    { slug: "QUESTRADE" },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.reference_data.list_all_brokerage_instruments(
    slug="QUESTRADE"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /brokerages/{slug}/instruments:
    get:
      tags:
        - Reference Data
      summary: Get brokerage instruments
      description: >-
        Returns a list of all brokerage instruments available for a given
        brokerage. Not all brokerages support this. The ones that don't will
        return an empty list.
      operationId: ReferenceData_listAllBrokerageInstruments
      parameters:
        - in: path
          name: slug
          required: true
          description: >-
            A short, unique identifier for the brokerage. It is usually the name
            of the brokerage in capital letters and will never change.
          schema:
            type: string
            example: QUESTRADE
      responses:
        '200':
          description: A list of brokerage instruments.
          content:
            application/json:
              schema:
                type: object
                properties:
                  instruments:
                    type: array
                    items:
                      type: object
                      required:
                        - symbol
                      properties:
                        symbol:
                          description: The instrument's trading symbol / ticker.
                          type: string
                          example: AAPL
                        exchange_mic:
                          description: >-
                            The MIC code of the exchange where the instrument is
                            traded.
                          type: string
                          example: XNAS
                          nullable: true
                        tradeable:
                          description: >-
                            Whether the instrument is tradeable through the
                            brokerage. `null` if the tradeability is unknown.
                          type: boolean
                          example: true
                          nullable: true
                        fractionable:
                          description: >-
                            Whether the instrument allows fractional units.
                            `null` if the fractionability is unknown.
                          type: boolean
                          example: true
                          nullable: true
                        universal_symbol_id:
                          description: >-
                            The universal symbol ID of the instrument. This is
                            the ID used to reference the instrument in SnapTrade
                            API calls.
                          type: string
                          format: uuid
                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                          nullable: true
        default:
          description: Unexpected error.

```